/* General */
@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&display=swap');

html {
    scroll-behavior: smooth;
}

body, html {
    margin: 0;
    padding: 0;
    min-height: 100vh;
    max-width: 100%;
    background-color: #1D1D1D;
    position: relative;
}

* {
    font-family: 'Jost', sans-serif;
    box-sizing: border-box;
}

h1, h2, h3, h4, h5, p {
    margin: 0;
}

button, section a {
    background-color: #6A00F6;
    border: none;
    padding: 12px 40px;
    border-radius: 13px;
    color: white;
    font-size: 30px;
    cursor: pointer;
    transition: transform 0.2s, background-color 0.2s;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;
    width: auto;
}

section a img {
    filter: invert(1);
    margin: 0 15px 0 0;
    width: 35px;
}

.reverse img {
    margin: 0 0 0 15px;
}

button:hover, section a:hover {
    background-color: #8a33f6;
    transform: scale(1.05);
}

button:active, section a:active {
    transform: scale(0.95);
}

.contenedor {
    width: 1480px;
    max-width: 100%;
    margin: 0 auto;
    padding: 80px 100px;
}

.full64 {
    font-size: 52px;
    line-height: 1.2;
}

.full48 {
    font-size: 34px;
    line-height: 1.3;
}

.full40 {
    font-size: 28px;
    line-height: 1.3;
}

.full32 {
    font-size: 23px;
    line-height: 1.4;
}

.full24 {
    font-size: 18px;
    line-height: 1.4;
}

.full20 {
    font-size: 15px;
    line-height: 1.4;
}

.full16 {
    font-size: 13px;
    line-height: 1.4;
}

/* Header */
.header {
    max-width: 100%;
    margin: 40px 0 -200px;
    position: sticky;
    top: 0;
    padding: 20px;
    text-align: center;
    height: 100px;
    transition: all ease 0.5s;
    z-index: 999;
}

.header img {
    width: 300px;
    transition: all ease 0.5s;
}

/* Estilo al hacer scroll */
.header.scrolled {
    background-color: rgba(0, 0, 0, 0.65);
    height: 60px;
    padding: 10px;
}

.header.scrolled img {
    width: 160px;
}

/* Form */
#home {
    color: white;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(to bottom right, #4f335d, #000);
}

#home .contenedor {
    padding: 300px 100px 80px 100px;
    text-align: center;
    animation: fadeIn 1.5s ease;
}

#home .contenedor h1 {
    font-weight: 700;
    color: #FFFFFFFF;
}

#home .contenedor h1 span {
    color: #6A00F6;
}

#home .contenedor h3 {
    width: 950px;
    max-width: 100%;
    margin: 0 auto 40px;
    font-weight: 400;
    padding: 40px 0;
}

#home .contenedor input, #home .contenedor select {
    width: 100%;
    padding: 17px 10px 10px;
    margin: 0px;
    border: 1px solid #e3e3e3;
    border-radius: 5px;
    background-color: #2d1837;
    color: white;
    transition: 0.3s;
    font-size: 18px;
}

select {
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: url(../img/Icons/arrow-top.png);
    background-size: 12px;
    background-position-x: 97%;
    background-position-y: 50%;
    background-repeat: no-repeat;
}

select:focus {
    background-image: url(../img/Icons/arrow-bottom.png);
}

#home .contenedor input:focus, #home .contenedor select:focus {
    outline: none;
    border-color: #6A00F6;
    transform: scale(1.02);
}

#home .contenedor .input-group {
    position: relative;
    margin-bottom: 20px;
    padding: 10px 0 0 0;
    opacity: 0;
    animation: slideIn 0.8s ease forwards;
    background: transparent;
}

#home .contenedor label {
    position: absolute;
    top: -2px;
    left: 10px;
    padding: 0px;
    z-index: 99;
    padding: 2px 10px;
    border-radius: 100px;
    background: #2d1837;
    font-size: 15px;
}

#home .contenedor #submit-btn {
    margin-top: 20px;
}

#custom-form {
    display: flex;
    justify-content: space-between;
    flex-flow: row wrap;
    align-items: flex-start;
}

#custom-form .group-inputs {
    width: 47%;
}

#custom-form p {
    text-align: left;
}

@keyframes fadeIn {
    from { opacity: 0; transform: translateY(-20px); }
    to { opacity: 1; transform: translateY(0); }
}

@keyframes slideIn {
    from { opacity: 0; transform: translateY(20px); }
    to { opacity: 1; transform: translateY(0); }
}

/* Emnpresa */
.empresa {
    background-color: #000;
}

.empresa .contenedor {
    margin: 0 auto;
    padding: 80px 100px;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
}

.empresa .contenedor h2{
    color: #fff;
    margin: 0;
}

.empresa .contenedor h2 strong {
    color: #9536ff;
}

.empresa .contenedor h3 {
    font-weight: 400;
    color: #FFFFFF;
    margin: 40px 0 50px;
}

/* Situations */
.situations .contenedor {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    gap: 40px;
}

.situations h2 {
    text-align: center;
}

.situations li {
    padding: 5px 0;
}

/* Solutions */
.solutions .contenedor {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    gap: 50px;
}

.solutions p {
    width: 100%;
}

.solutions p:nth-child(3) {
    padding: 0 0 20px;
    width: 100%;
}

/* projects */
.projects {
    position: relative;
    max-width: 100%;
}

.projects .swiper-container {
    width: 100%;
    overflow: hidden;
}

.projects .contenedor {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    gap: 50px;
}

.projects h2 {
    text-align: center;
}

/* Steps */
.steps .contenedor {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    gap: 30px;
}

.step img {
    width: 120px;
}

.steps h2 {
    width: 100%;
    text-align: center;
}

.steps .steps-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-flow: row wrap;
    margin-bottom: 30px;
}

.step {
    width: 30%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-flow: column;
    gap: 20px;
}

.step h3 {
    text-align: center;
}

.step h3 span {
    color: #9536ff;
}

.step p {
    text-align: center;
}

/* limited offer */
.limited-offer .contenedor {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    gap: 30px;
}

.limited-offer p {
    padding: 40px 0;
}

/* why-us */
.why-us .contenedor {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    gap: 50px;
}

.why-us h2 {
    width: 100%;
    text-align: center;
}

/* Accordeons */
.accordion {
    width: 100%;
}

.accordion-item {
    width: 1000px;
    max-width: 100%;
    margin: 0 auto;
    position: relative;
}

.accordion-item:before {
    content: '';
    position: absolute;
    right: 22px;
    top: 22px;
    width: 12px;
    height: 10px;
    background-image: url(../img/Icons/arrow-top.png);
    background-size: 12px;
    background-repeat: no-repeat;
    transition: transform 0.3s ease; /* Transición suave */
}

.accordion-item.open:before {
    background-image: url(../img/Icons/arrow-bottom.png);
}

.accordion-content {
    transition: all ease 0.3s;
    height: 0;
    overflow: hidden;
}

.accordion-item {
    border: 1px solid #ffffff7b;
    border-radius: 10px;
    padding: 10px 20px;
    margin-bottom: 10px;
}

.accordion-item p {
    border-top: 1px solid #ffffff7b;
    padding: 15px 0px;
    margin-top: 10px;
}

/* Nosotros */
.about-us h2 {
    text-align: center;
    width: 100%;
}

.about-us .contenedor {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
}

.about-us .about-columns {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-flow: row wrap;
    gap: 40px;
    padding: 100px 0;
    width: 100%;
}

.about-columns .column {
    width: 600px;
    max-width: 100%;
}

.about-columns .column h3 {
    color: #8C34FF;
    padding: 0 0 30px;
}

/* Footer Styles */
.footer {
    text-align: center;
    background: linear-gradient(to right, #4f335d, #000);
    color: white;
    padding: 0px;
}

.footer .contenedor {
    padding: 40px 100px;
}

.footer-links a {
    color: #6A00F6;
    text-decoration: none;
    margin: 0 5px;
}

.footer-links a:hover {
    text-decoration: underline;
}

/* Popup Modal Styles */
.popup-modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to bottom right, rgba(38, 10, 71, 0.92), rgba(0, 0, 0, 0.92));
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.popup-content {
    background: #fff;
    padding: 40px;
    max-width: 800px;
    width: 80%;
    border-radius: 10px;
    text-align: center;
    color: #000;
    position: relative;
}

.popup-content h2 {
    margin-bottom: 15px;
}

.popup-content p {
    margin-bottom: 20px;
}

.close-button {
    position: absolute;
    top: 15px;
    right: 15px;
    font-size: 24px;
    cursor: pointer;
    color: #000;
}

/* Form Button */
form button {
    padding: 5px 25px;
    border-radius: 10px;
    font-size: 27px;
}

/* Smartphone */
@media ( max-width: 700px ) {
    .popup-content {
        padding: 20px;
        width: 96%!important;
        max-height: 80vh;
        overflow-y: scroll;
    }
    /* General */
    .contenedor {
        padding: 40px 30px;
    }    
    .full64 {
        font-size: 27px;
        line-height: 1.1;
    }
    .full48 {
        font-size: 25px;
        line-height: 1.2;
    }
    .full40 {
        font-size: 21px;
        line-height: 1.2;
    }
    .full32 {
        font-size: 19px;
        line-height: 1.3;
    }
    .full24 {
        font-size: 17px;
        line-height: 1.4;
    }
    .full20 {
        font-size: 14px;
        line-height: 1.4;
    }
    button, section a {
        padding: 7px 20px;
        font-size: 17px;
    }

    /* Header */
    .header {
        margin: 20px 0 -100px;
        padding: 10px;
    }
    .header img {
        width: 200px;
    }

    /* Estilo al hacer scroll */
    .header.scrolled img {
        width: 110px;
    }

    /* Form */
    #home .contenedor {
        padding: 120px 30px 80px 30px;
    }
    #home .contenedor h3 {
        padding: 20px 0 0;
    }
    #home .contenedor p {
        padding: 0 0 20px;
    }
    #home .contenedor input, #home .contenedor select {
        font-size: 16px;
    }
    #home .contenedor label {
        font-size: 12px;
    }

    /* Steps */
    .step {
        width: 100%;
        gap: 20px;
        padding: 40px 0;
    }

    #custom-form .group-inputs {
        width: 100%;
    }

    /* Nosotros */
    .about-us .about-columns {
        gap: 20px;
        padding: 50px 0;
    }

    /* Empresa */
    .empresa .contenedor {
        padding: 40px 30px;
    }

    /* Footer */
    .footer .contenedor {
        padding: 40px 30px;
    }
}

.success-message {
    background-color: #4CAF50;
    color: white;
    padding: 15px;
    margin: 20px auto;
    border-radius: 5px;
    text-align: center;
    width: 700px!important;
    max-width: 100%!important;
}

.error-message {
    background-color: #F44336;
    color: white;
    padding: 15px;
    margin: 20px auto;
    border-radius: 5px;
    text-align: center;
    width: 700px!important;
    max-width: 100%!important;
}